"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var value_accessors_1 = require("nativescript-angular/forms/value-accessors");
var DATE_PICKER_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return DatePickerValueAccessor; }),
    multi: true,
};
var TIME_PICKER_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return TimePickerValueAccessor; }),
    multi: true,
};
var DatePickerValueAccessor = (function (_super) {
    __extends(DatePickerValueAccessor, _super);
    function DatePickerValueAccessor(elementRef) {
        return _super.call(this, elementRef.nativeElement) || this;
    }
    DatePickerValueAccessor.prototype.writeValue = function (value) {
        var normalized = _super.prototype.normalizeValue.call(this, value);
        this.view.date = normalized;
    };
    DatePickerValueAccessor = __decorate([
        core_1.Directive({
            selector: "DatePickerField[ngModel],DatePickerField[formControlName],DatePickerField[formControl]," +
                "datepickerfield[ngModel],datepickerfield[formControlName],datepickerfield[formControl]," +
                "datePickerField[ngModel],datePickerField[formControlName],datePickerField[formControl]," +
                "date-picker-field[ngModel],date-picker-field[formControlName],date-picker-field[formControl]",
            providers: [DATE_PICKER_VALUE_ACCESSOR],
            host: {
                "(dateChange)": "onChange($event.value)",
            },
        }),
        __metadata("design:paramtypes", [core_1.ElementRef])
    ], DatePickerValueAccessor);
    return DatePickerValueAccessor;
}(value_accessors_1.BaseValueAccessor));
exports.DatePickerValueAccessor = DatePickerValueAccessor;
var TimePickerValueAccessor = (function (_super) {
    __extends(TimePickerValueAccessor, _super);
    function TimePickerValueAccessor(elementRef) {
        return _super.call(this, elementRef.nativeElement) || this;
    }
    TimePickerValueAccessor.prototype.writeValue = function (value) {
        var normalized = _super.prototype.normalizeValue.call(this, value);
        this.view.time = normalized;
    };
    TimePickerValueAccessor = __decorate([
        core_1.Directive({
            selector: "TimePickerField[ngModel],TimePickerField[formControlName],TimePickerField[formControl]," +
                "timepickerfield[ngModel],timepickerfield[formControlName],timepickerfield[formControl]," +
                "timePickerField[ngModel],timePickerField[formControlName],timePickerField[formControl]," +
                "time-picker-field[ngModel],time-picker-field[formControlName],time-picker-field[formControl]",
            providers: [TIME_PICKER_VALUE_ACCESSOR],
            host: {
                "(timeChange)": "onChange($event.value)",
            },
        }),
        __metadata("design:paramtypes", [core_1.ElementRef])
    ], TimePickerValueAccessor);
    return TimePickerValueAccessor;
}(value_accessors_1.BaseValueAccessor));
exports.TimePickerValueAccessor = TimePickerValueAccessor;
//# sourceMappingURL=nativescript-datetimepicker.accessors.js.map